VMTKPETERGENERATESURFACE(1)

NAME
vmtkpetergeneratesurface - vmtk script vmtkpetergeneratesurface

DESCRIPTION
Automatic piping vmtkPeterGenerateSurface Parsing options vmtkPeterGenerateSurface

vmtkPeterGenerateSurface : Custom module for generating a surface from

    image data

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the input surface

-otransform Transform (vtkTransform,1): the transform of the

    clipped surface